ApiV1V1.pathfinderservice
GetTokenDenoms
GetTokenDenoms returns all IBC denoms for a token across supported chains Use this to discover what denom a token has on different chains
POST
/v1.PathfinderService/GetTokenDenomsConnect-Protocol-Version*1Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?Connect-Timeout-MsDefine the timeout, in ms
- body
GetTokenDenomsRequest - Get all denoms for a token across chains Use this to discover what denom a token has on different chains
baseDenom*base_denomThe base denom (e.g., "uatone", "uosmo", "ustars")
originChain*origin_chainThe chain where this token is native (e.g., "atomone-1", "osmosis-1")
onChainId?on_chain_idOptional: Filter to a specific chain. If empty, returns denoms on all chains
Success
- response
found?foundbase_denom?base_denomorigin_chain?origin_chaindenoms?array<>All chains where this token is available and what denom it has
curl -X POST 'https://example.com/v1.PathfinderService/GetTokenDenoms' \ -H 'Connect-Protocol-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "baseDenom": "string", "originChain": "string"}'Example Response
{ "found": true, "base_denom": "string", "origin_chain": "string", "denoms": [ { "chain_id": "string", "chain_name": "string", "denom": "string", "is_native": true } ]}